<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        // ## Теоретичні питання

        //1. Описати своїми словами навіщо потрібні функції у програмуванні.
        // В функцію ми записуєм якусь дію. У функції є назва. Тому коли в любій частині коду буде потрібна така дія,
        // ми не будем переписувати весь код, а просто напишем напишем назву функції з () і отримаєм відповідну вію.


        //2. Описати своїми словами, навіщо у функцію передавати аргумент.
        // Коли ми викликаем функцію, аргументи для того щоб задати значення для функції


        //3. Що таке оператор return та як він працює всередині функції?
        // return використовують для того щоб показати результат функції

        //## Завдання

        //Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами.
        //Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React. 

        //#### Технічні вимоги:

        //- Отримати за допомогою модального вікна браузера два числа.
        //- Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено `+`, `-`, `*`, `/`.
        //- Створити функцію, в яку передати два значення та операцію.
        //- Вивести у консоль результат виконання функції.

        let calcNumbers = (firstNumber, operation, secondNumber) => {

            if (operation === "+") {
                return firstNumber + secondNumber;
            } else if (operation === "-") {
                return firstNumber - secondNumber;
            } else if (operation === "/") {
                return firstNumber / secondNumber;
            } else if (operation === "*") {
                return firstNumber * secondNumber;
            }
        }

        let firstNumber = +prompt('Enter your first number')
        let secondNumber = +prompt('Enter your second number')
        let operation = prompt('Right operation for numbers +, -, *, /')

        let result = calcNumbers(firstNumber, operation, secondNumber);

        console.log(result);
    </script>
</body>

</html>